ESI(8)

NAME
esi - get or set the end system identifier (ESI)

SYNOPSIS
esi [itf]
esi [-f] esi [itf]
esi -V

DESCRIPTION
esi is used to show or set the end system identifier (ESI, a unique six-byte number corresponding to the MAC address of LAN technologies like Ethernet) of an ATM interface. If the interface number itf is omitted, interface 0 is used by default. The esi argument is a string of twelve hex digits.

Only the ESI stored in the kernel is accessed; esi does not change the ESI stored on the NIC. If a non-zero ESI is already set on an interface, the -f option has to be used to overwrite it.

Note that ESI changes are not automatically propagated throughout the system, e.g. to ilmid. esi should therefore be used early during system initialization.

OPTIONS

-f  force overwriting an existing ESI.

-V  print version number of esi on standard output and exit.

AUTHOR
Werner Almesberger, EPFL ICA <Werner.Almesberger@epfl.ch>

SEE ALSO
ilmid(8)